D-Bus 1.12.4

Data Fields
DBusCredentials Struct Reference
D-Bus secret internal implementation details » Credentials implementation details

## Data Fields
int | refcount
dbus_uid_t | unix_uid
dbus_pid_t | pid
char * | windows_sid
char * | linux_security_label
void * | adt_audit_data
dbus_int32_t | adt_audit_data_size

## Detailed Description

Definition at line 48 of file dbus-credentials.c.

## Field Documentation

## ◆ adt_audit_data

void* DBusCredentials::adt_audit_data

Definition at line 54 of file dbus-credentials.c.

## ◆ adt_audit_data_size

dbus_int32_t DBusCredentials::adt_audit_data_size

Definition at line 55 of file dbus-credentials.c.

## ◆ linux_security_label

char* DBusCredentials::linux_security_label

Definition at line 53 of file dbus-credentials.c.

## ◆ pid

dbus_pid_t DBusCredentials::pid

Definition at line 51 of file dbus-credentials.c.

## ◆ refcount

int DBusCredentials::refcount

Definition at line 49 of file dbus-credentials.c.

## ◆ unix_uid

dbus_uid_t DBusCredentials::unix_uid

Definition at line 50 of file dbus-credentials.c.

## ◆ windows_sid

char* DBusCredentials::windows_sid

Definition at line 52 of file dbus-credentials.c.

The documentation for this struct was generated from the following file:

- dbus-credentials.c